From 89161b8e14b11ad595de610704b70c0a3ccd81c0 Mon Sep 17 00:00:00 2001
From: Kirithika <kirithika@multicorewareinc.com>
Date: Wed, 18 Sep 2024 14:52:12 +0530
Subject: [PATCH] Fix issue with left-over filename not being treated as input
 parameter

---
 source/x265cli.cpp | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

diff --git a/source/x265cli.cpp b/source/x265cli.cpp
index ca7d9c973..ba0b620b7 100755
--- a/source/x265cli.cpp
+++ b/source/x265cli.cpp
@@ -598,6 +598,7 @@ namespace X265_NS {
         for (int view = 0; view < MAX_VIEWS; view++)
         {
             inputfn[view] = X265_MALLOC(char, sizeof(char) * 1024);
+            memset(inputfn[view], 0, sizeof(char) * 1024);
         }
         const char* reconfn[MAX_LAYERS] = { NULL };
         const char *outputfn = NULL;
@@ -805,10 +806,11 @@ namespace X265_NS {
             }
         }
 
-#if !ENABLE_MULTIVIEW
-        if (optind < argc && !inputfn[0])
-            inputfn[0] = argv[optind++];
-#endif
+        if (param->numViews < 2)
+        {
+            if (optind < argc && !(*inputfn[0]))
+                strcpy(inputfn[0], argv[optind++]);
+        }
         if (optind < argc && !outputfn)
             outputfn = argv[optind++];
         if (optind < argc)
-- 
2.28.0.windows.1

